# Class GetBalancesReply

#### Hierarchy

- unknown
  - GetBalancesReply

- Defined in src/protobuf/grpc_pb.d.ts:2978
- Defined in src/protobuf/grpc_pb.d.ts:2992

#####
Index

### Constructors

constructor

### Methods

clearBalances
getBalances
hasBalances
serializeBinary
setBalances
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetBalancesReply(): GetBalancesReply

- #### Returns GetBalancesReply

  Inherited from jspb.Message.constructor

## Methods

### clearBalances

- clearBalances(): GetBalancesReply

- #### Returns GetBalancesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2982

### getBalances

- getBalances(): undefined | BalancesInfo

- #### Returns undefined | BalancesInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2979

### hasBalances

- hasBalances(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2981

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2984

### setBalances

- setBalances(value?: BalancesInfo): GetBalancesReply

- #### Parameters

  - ##### `Optional` value: BalancesInfo

  #### Returns GetBalancesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2980

### toObject

- toObject(includeInstance?: boolean): GetBalancesReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetBalancesReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2985

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetBalancesReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetBalancesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2988

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetBalancesReply, reader: BinaryReader): GetBalancesReply

- #### Parameters

  - ##### message: GetBalancesReply

  - ##### reader: BinaryReader

  #### Returns GetBalancesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2989

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetBalancesReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetBalancesReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2987

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetBalancesReply): GetBalancesReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetBalancesReply

  #### Returns GetBalancesReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2986

Generated using TypeDoc